"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = usePreviousState;
var _react = require("react");
/**
 * Get previous value of a state
 * @param value state
 * @returns previous value of @param value after it's updated
 */
function usePreviousState(value) {
  const ref = (0, _react.useRef)();
  (0, _react.useEffect)(() => {
    ref.current = value;
  }, [value]);
  return ref.current;
}
//# sourceMappingURL=usePreviousState.js.map