/**
 * Function to toggle checkbox state for a tree structure.
 * It sets the checked and indeterminate state for all affected nodes in the tree after an action to check/uncheck is made.
 * @param {string[]} ids - The ids of nodes that need to be checked or unchecked.
 * @param {boolean} [forceCheck] - Optional. If provided, will force the check state of the nodes to be this value.
 * If not provided, the check state will be toggled based on the current state.
 */
export declare function toggleCheckboxes<ID>(storeId: string, ids: ID[], forceCheck?: boolean): void;
//# sourceMappingURL=toggleCheckbox.helper.d.ts.map